/*
 * encoder.h
 *
 *  Created on: 16 avr. 2023
 *      Author: Flax
 */

#ifndef INC_ENCODER_H_
#define INC_ENCODER_H_

// ==============
// Shared includes
// ==============
#include "stdbool.h"

// ===============
// Shared typedefs
// ===============

typedef enum {
	ENC_EVENT_NONE,
	ENC_EVENT_INC,
	ENC_EVENT_DEC,
	ENC_EVENT_CLIC,
	ENC_EVENT_CLIC_LONG,
}e_ENCEventType;


// ===========================
// Shared functions prototypes
// ===========================

extern void ENCInterrupt (void);
extern void ENCInit(void);
extern void ENCStart(void);
extern void ENCStop(void);
extern void ENCCyclicTask(void);
extern bool ENCPopEvent (e_ENCEventType *evt);
extern bool ENCIsEventAvailable (void);

#endif /* INC_ENCODER_H_ */
