/*
 * nvm.c
 *
 *  Created on: Apr 25, 2023
 *      Author: Flax
 */

// ==============
// Local includes
// ==============
#include "nvm.h"
#include "register.h"
#include "nvfix.h"
#include "nvrol.h"

// ===============
// Local constants
// ===============

// ============================
// Shared functions definitions
// ============================
void NVMInit (void)
{
	NVFInit();
	NVRInit();
}

void NVMStart (void)
{
	NVFStart();
	NVRStart();
}

void NVMStop (void)
{
	NVFStop();
	NVRStop();
}

void NVMCyclicTask (void)
{
	NVFCyclicTask();
	NVRCyclicTask();
}

void NVMSave (void)
{
	NVFsave();
	NVRSave();
}
